/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof MainModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'userroleresid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'userroleresname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'userroleresname',
        prop: 'userroleresname',
        dataType: 'TEXT',
      },
      {
        name: 'uniresname',
        prop: 'uniresname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'userrolename',
        prop: 'userrolename',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'userroleresid',
        prop: 'userroleresid',
        dataType: 'GUID',
      },
      {
        name: 'uniresid',
        prop: 'uniresid',
        dataType: 'PICKUP',
      },
      {
        name: 'userroleid',
        prop: 'userroleid',
        dataType: 'PICKUP',
      },
      {
        name: 'userroleres',
        prop: 'userroleresid',
        dataType: 'FONTKEY',
      },
    ]
  }

}